package treeSet;

import java.util.*;

/**
 * Program sortujący zbiór obiektów typu Item przez porównywanie ich opisów.
 * @version 1.2 2024-12-05
 * @author Cay Horstmann
 */
public class TreeSetTest
{
   public static void main(String[] args)
   {
      var parts = new TreeSet<Item>();
      parts.add(new Item("Toster", 1234));
      parts.add(new Item("Wihajster", 4562));
      parts.add(new Item("Router", 9912));
      System.out.println(parts);

      var sortByDescription = new TreeSet<Item>(Comparator.comparing(Item::description));

      sortByDescription.addAll(parts);
      System.out.println(sortByDescription);
   }
}